[PATCH v2 4/7] perf tests stat: Add "--null" coverage
From: Ian Rogers
Date: Wed Dec 03 2025 - 16:47:20 EST
Ensure "--null" does a minimal run.
Reported-by: Ingo Molnar <mingo@xxxxxxxxxx>
Closes: https://lore.kernel.org/linux-perf-users/aSwt7yzFjVJCEmVp@xxxxxxxxx/
Tested-by: Ingo Molnar <mingo@xxxxxxxxxx>
Signed-off-by: Ian Rogers <irogers@xxxxxxxxxx>
---
tools/perf/tests/shell/stat.sh | 12 ++++++++++++
1 file changed, 12 insertions(+)
diff --git a/tools/perf/tests/shell/stat.sh b/tools/perf/tests/shell/stat.sh
index 985adc02749e..7885e875caf4 100755
--- a/tools/perf/tests/shell/stat.sh
+++ b/tools/perf/tests/shell/stat.sh
@@ -16,6 +16,17 @@ test_default_stat() {
echo "Basic stat command test [Success]"
}
+test_null_stat() {
+ echo "Null stat command test"
+ if ! perf stat --null true 2>&1 | grep -E -q "Performance counter stats for 'true':"
+ then
+ echo "Null stat command test [Failed]"
+ err=1
+ return
+ fi
+ echo "Null stat command test [Success]"
+}
+
test_stat_record_report() {
echo "stat record and report test"
if ! perf stat record -e task-clock -o - true | perf stat report -i - 2>&1 | \
@@ -212,6 +223,7 @@ test_hybrid() {
}
test_default_stat
+test_null_stat
test_stat_record_report
test_stat_record_script
test_stat_repeat_weak_groups
--
2.52.0.177.g9f829587af-goog